# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\LanguageLabel:
  - name: "Redirect page descriptions"
    translations:
      - code: en
        label: "Create your redirects below by pushing the create button, then entering the Target that you would
            like redirected, then the Path you would like the user directed to.  The path should be everything after
            your base url, ex. https://mystore.com/my-target  the /my-target would go in your target field, and /my-redirect-path
            would go in your redirect field.  Redirects can be enabled or disabled with the button in the first column."
  - name: "Import From CSV"
    translations:
      - code: en
        label: "Import From CSV"
  - name: "Import From CSV descriptions"
    translations:
      - code: en
        label: "CSV should contain two columns and no headers. First column should be the Target URL, second column should be
        the Path that the user should be redirected to. Any other columns are ignored."
  - name: "Redirects"
    translations:
      - code: en
        label: "Redirects"
  - name: "Add redirects in CSV to existing list"
    translations:
      - code: en
        label: "Add redirects in CSV to existing list"
  - name: "Replace all existing redirects with those in CSV file"
    translations:
      - code: en
        label: "Replace all existing redirects with those in CSV file"
  - name: "Path validate error"
    translations:
      - code: en
        label: "Your value must be a valid URL starting with valid protocol (http/https) or relative path starting with a forward slash(/)."
  - name: "Url validate error"
    translations:
      - code: en
        label: "Your value must start with a forward slash(/) and may only contain letters, numbers, and URL approved punctuation."
